<html>
<head>
<title>Напоминалка по событиям на PHP</title>
<meta http-equiv=”Content-Type” content=”text/html; charset=windows-1251?>


	<link rel="stylesheet" type="text/css" href="tcal.css" />
	<script type="text/javascript" src="tcal.js"></script> 


</head>




<body>



<? 
/* Этот скрипт получает переменные из login.php */ 

/* Переменные для соединения с базой данных */ 
$hostname = "localhost";
$username = "user";
$password = "password";
$dbName = "database";
$today = getdate(); 

$toddi = "$today[year]-$today[mon]-$today[mday]"; 
$toddi0 = "12:00"; 

$date = $_POST['date'];





$userstable = "usvers"; 

/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  


$query = "SELECT * FROM $userstable WHERE name = '".$name."' and adres = '".$pass."'  "; 
$res = mysql_query($query) or die(mysql_error()); 

$name = mysql_real_escape_string($name);
$adres = mysql_real_escape_string($adres);

$number1 = mysql_num_rows($res); 

//$number1 = 1;


if ($number1 == 0) { 


echo 'Пользователь '.$name." не найден либо пароль не верен!<BR><BR>";


} else { 

echo 'Записи пользователя '.$name."<BR><BR>";


/* Таблица MySQL, в которой хранятся данные */ 
$userstable = "sobbit"; 


/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  

$query = "SELECT * FROM $userstable WHERE usver = '".$name."' "; 

$res = mysql_query($query) or die(mysql_error()); 

/*получаем строки из базы данных MySQL */

  while ($row=mysql_fetch_array($res)) { 
    echo $row['sobit'].' '.$row['opsobit'].' '.$row['kogda'];

echo '<FORM ACTION="change.php" METHOD="POST">';
echo '<INPUT TYPE="hidden" NAME="ann" VALUE="'.$row['nn'].'" SIZE="1" MAXLENGTH="240">'; 
echo '<INPUT TYPE="hidden" NAME="asobit" VALUE="'.$row['sobit'].'" SIZE="1" MAXLENGTH="240">'; 
echo '<textarea cols="50" rows="10" name="aopsobit" id="contact_text" class="inputbox" hidden>'.$row['opsobit'].'</textarea>';
echo '<INPUT TYPE="hidden" NAME="akogda" VALUE="'.$row['kogda'].'" SIZE="1" MAXLENGTH="240">'; 
echo '<INPUT TYPE="hidden" NAME="name" VALUE="'.$name.'" SIZE="1" MAXLENGTH="240">'; 
echo '<INPUT TYPE="hidden" NAME="pass" VALUE="'.$pass.'" SIZE="1" MAXLENGTH="240"><INPUT TYPE="submit" VALUE="Изменить!"></FORM>'; 
    echo "<BR>";


  } 





echo '<P><center><TABLE WIDTH = 400><TR><TD align = right><FORM ACTION="seeadd.php" METHOD="POST">Событие:<BR> <INPUT TYPE="text" NAME="asobit" SIZE="30" MAXLENGTH="240"><P>';
echo 'Описание события:<BR> <textarea cols="50" rows="10" name="aopsobit" id="contact_text" class="inputbox"></textarea><P>Когда произойдет:<BR>';

echo '<input type="text" name="akogda1" class="tcal"  value="" SIZE="20" MAXLENGTH="19"><P>'; 
echo '<INPUT TYPE="text" NAME="akogda2"  VALUE="'.$toddi0.'" SIZE="20" MAXLENGTH="19"><P><INPUT TYPE="hidden" NAME="name" VALUE="'.$name.'" SIZE="30" MAXLENGTH="240"><P>'; 

echo '<INPUT TYPE="hidden" NAME="pass" VALUE="'.$pass.'" SIZE="30" MAXLENGTH="240"><P><INPUT TYPE="submit" VALUE="Добавить!"></FORM></TD></TR></TABLE></CENTER>'; 




} 




/* Закрыть соединение */ 
mysql_close(); 





?> 






</center>
</body>
</html>



